Bug 1480176 - dnf repoquery --whatrequires <capability> doesn't work as expected
dnf repoquery --whatrequires <capability> doesn't work as expected
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libsolv (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 06:30 EDT by Jaroslav Škarvada
Modified: 2017-12-12 05:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:17:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2017-08-10 06:30:02 EDT
Description of problem:
In the manual page of dnf.plugin.repoquery there is not written what the <capability> is, but I deduce it's the same as what can be written in the Provides:. But if such constructs are used, repoquery behaves strange.

Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.21-4.fc25

How reproducible:
Always

Steps to Reproduce:
1. dnf repoquery --alldeps --whatrequires 'tcl = 1:8.6.6-1' | grep dfish
2. dnf repoquery --alldeps --whatrequires 'tcl = 1:8.6*' | grep dfish
3. dnf repoquery --alldeps --whatrequires 'tcl=1:8.6.6*'
4. dnf repoquery --alldeps --whatrequires 'tcl = 1:8.6.6-1' | wc -l
5. dnf repoquery --alldeps --whatrequires tcl | wc -l

Actual results:
1. dfish-0:1.3-9.fc24.noarch
2. dfish-0:1.3-9.fc24.noarch
3. nothing
4. 33
5. 216 

Expected results:
1. nothing
2. nothing
3. at least tk or nothing
4. much lower number than 33
5. 216

Additional info:
So at the moment I have no idea how it works and how to get list of packages which requires exactly tcl 1:8.6.6 (e.g. for mass rebuild when updating to tcl-8.6.7).
Comment 1 Daniel Mach 2017-08-16 07:09:54 EDT
Reassigning to libsolv, these strings are most likely parsed there.
Comment 2 Jaroslav Mracek 2017-09-13 15:52:28 EDT
I tested it with following result:

[1.]
dnf repoquery --alldeps --whatrequires 'tcl = 1:8.6.6-1' | grep dfish
# output with dfish is correct, because it requires "tcl" and it means also 'tcl = 1:8.6.6-1'

[2.]
Again no problem here. Output is expected

[3.]
Ok here solver needs spaces around = (). But here we have to consider that allowed are =, <=, <, >, >= . And I am not sure if < or > can be part of version of package.


[4.] 
I checked output from dnf repoquery --alldeps --whatrequires 'tcl = 1:8.6.6-1' and each package requires tcl in form that fulfill the provide.

[5.]
I guess expected output
Comment 3 Jaroslav Mracek 2017-10-17 05:43:02 EDT
I created patch that should solve example 3. (dnf repoquery --alldeps --whatrequires 'tcl=1:8.6.6*'). 

https://github.com/rpm-software-management/libdnf/pull/347

Hope that it helps.
Comment 4 Fedora End Of Life 2017-11-16 14:37:47 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:17:04 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.